petsc-3.12.1 2019-10-22
Report Typos and Errors

# TaoShellSetContext

sets the context for a shell Tao

### Synopsis

    #include "petsctao.h"
    PetscErrorCode  TaoShellSetContext(Tao tao,void *ctx)

Logically Collective on Tao

### Input Parameters

| tao | - the shell Tao
| ctx | - the context

### Fortran Notes

The context can only be an integer or a PetscObject unfortunately it cannot be a Fortran array or derived type.

### See Also

TaoCreateShell(), TaoShellGetContext()

### Level

advanced

### Location

src/tao/unconstrained/impls/cg/taoshell.c
Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages